Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.jdo
Class PersistenceManagerHolder

    java.lang.Object
      org.springframework.transaction.support.ResourceHolderSupport
          org.springframework.orm.jdo.PersistenceManagerHolder

All Implemented Interfaces:
  ResourceHolder

    public class PersistenceManagerHolder

extends ResourceHolderSupport

Holder wrapping a JDO PersistenceManager. JdoTransactionManager binds instances of this class to the thread, for a given PersistenceManagerFactory.

Note: This is an SPI class, not intended to be used by applications.

Since:
  03.06.2003
Author:
  Juergen Hoeller
See Also:
  `JdoTransactionManager`, `PersistenceManagerFactoryUtils`

Constructor Summary
`PersistenceManagerHolder(javax.jdo.PersistenceManager persistenceManager)`

Method Summary
`void` | `clear()` Clear the transactional state of this resource holder.
`javax.jdo.PersistenceManager` | `getPersistenceManager()`
`protected boolean` | `isTransactionActive()`
`protected void` | `setTransactionActive(boolean transactionActive)`

Methods inherited from class org.springframework.transaction.support.ResourceHolderSupport
`getDeadline, getTimeToLiveInMillis, getTimeToLiveInSeconds, hasTimeout, isOpen, isRollbackOnly, isSynchronizedWithTransaction, isVoid, released, requested, reset, setRollbackOnly, setSynchronizedWithTransaction, setTimeoutInMillis, setTimeoutInSeconds, unbound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceManagerHolder

    public PersistenceManagerHolder(javax.jdo.PersistenceManager persistenceManager)

Method Detail

### getPersistenceManager

    public javax.jdo.PersistenceManager getPersistenceManager()

### setTransactionActive

    protected void setTransactionActive(boolean transactionActive)

### isTransactionActive

    protected boolean isTransactionActive()

### clear

    public void clear()

  Description copied from class: `ResourceHolderSupport`
  Clear the transactional state of this resource holder.

  Overrides:
    `clear` in class `ResourceHolderSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.